Delete file

  • DEL
  • /workspaces
  • /:workspace
  • /projects
  • /:project_name
  • /pipelines
  • /:pipeline_id
  • /files
  • /:path

Deletes a file from the pipeline filesystem

Request

REQUIRED SCOPES
EXECUTION_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

project_namerequiredstring
The human-readable ID of the project

Example: "my-project"

pipeline_idrequiredinteger
The ID of the pipeline

Example: 123

pathrequiredstring
The path of the file in the pipeline filesystem

Constraints: Pattern: .+

Example: "app/docs/report.pdf"

Last modified on Aug 11, 2026

Request example

CURL
curl -X DELETE "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/files/:path" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
STATUS
204 File deleted successfully